Get identityUserFlowAttribute
[アーティクル]
12/06/2021
3 人の共同作成者
この記事の内容
名前空間: microsoft.graph
identityUserFlowAttribute オブジェクトのプロパティとリレーションシップを取得 します。
アクセス許可
この API を呼び出すには、次のいずれかのアクセス許可が必要です。アクセス許可の選択方法などの詳細については、「アクセス許可 」を参照してください。
アクセス許可の種類
アクセス許可 (特権の小さいものから大きいものへ)
委任 (職場または学校のアカウント)
IdentityUserFlow.Read.All、IdentityUserFlow.ReadWrite.All
委任 (個人用 Microsoft アカウント)
サポートされていません。
アプリケーション
IdentityUserFlow.Read.All、IdentityUserFlow.ReadWrite.All
仕事または学校のアカウントは、次のいずれかの役割に属している必要があります。
全体管理者
外部 ID ユーザー Flow属性管理者
HTTP 要求
GET /identity/userFlowAttributes/{id}
名前
説明
Authorization
ベアラー {token}。必須。
要求本文
このメソッドには、要求本文を指定しません。
応答
成功した場合、このメソッドは応答コードと、応答本文の 200 OK identityUserFlowAttribute の JSON 表現を返します。
例
要求
GET https://graph.microsoft.com/v1.0/identity/userFlowAttributes/{id}
GraphServiceClient graphClient = new GraphServiceClient( authProvider );
var identityUserFlowAttribute = await graphClient.Identity.UserFlowAttributes["{identityUserFlowAttribute-id}"]
.Request()
.GetAsync();
SDK をプロジェクトに追加し、authProvider インスタンスを作成する 方法の詳細については、SDK のドキュメントを参照してください 。
const options = {
authProvider,
};
const client = Client.init(options);
let identityUserFlowAttribute = await client.api('/identity/userFlowAttributes/{id}')
.get();
SDK をプロジェクトに追加し、authProvider インスタンスを作成する 方法の詳細については、SDK のドキュメントを参照してください 。
MSHTTPClient *httpClient = [MSClientFactory createHTTPClientWithAuthenticationProvider:authenticationProvider];
NSString *MSGraphBaseURL = @"https://graph.microsoft.com/v1.0/";
NSMutableURLRequest *urlRequest = [NSMutableURLRequest requestWithURL:[NSURL URLWithString:[MSGraphBaseURL stringByAppendingString:@"/identity/userFlowAttributes/{id}"]]];
[urlRequest setHTTPMethod:@"GET"];
MSURLSessionDataTask *meDataTask = [httpClient dataTaskWithRequest:urlRequest
completionHandler: ^(NSData *data, NSURLResponse *response, NSError *nserror) {
MSGraphIdentityUserFlowAttribute *identityUserFlowAttribute = [[MSGraphIdentityUserFlowAttribute alloc] initWithData:data error:&nserror];
}];
[meDataTask execute];
SDK をプロジェクトに追加し、authProvider インスタンスを作成する 方法の詳細については、SDK のドキュメントを参照してください 。
GraphServiceClient graphClient = GraphServiceClient.builder().authenticationProvider( authProvider ).buildClient();
IdentityUserFlowAttribute identityUserFlowAttribute = graphClient.identity().userFlowAttributes("{id}")
.buildRequest()
.get();
SDK をプロジェクトに追加し、authProvider インスタンスを作成する 方法の詳細については、SDK のドキュメントを参照してください 。
//THE GO SDK IS IN PREVIEW. NON-PRODUCTION USE ONLY
graphClient := msgraphsdk.NewGraphServiceClient(requestAdapter)
identityUserFlowAttributeId := "identityUserFlowAttribute-id"
result, err := graphClient.Identity().UserFlowAttributesById(&identityUserFlowAttributeId).Get()
SDK をプロジェクトに追加し、authProvider インスタンスを作成する 方法の詳細については、SDK のドキュメントを参照してください 。
応答
HTTP/1.1 200 OK
Content-type: application/json
{
"id": "City",
"displayName": "City",
"description": "Your city",
"userFlowAttributeType": "builtIn",
"dataType": "string"
}